GET /licenses/

osf.io

Summary: List all licenses
Operation ID: license_list
Auth: unknown
Description

A paginated list of licenses. The returned licenses are sorted by their name. #### Returns Returns a JSON object containing `data` and `links` keys. The `data` key contains an array of 10 licenses. Each resource in the array is a separate license object and contains the full representation of the license, meaning additional requests to a license's detail view are not necessary. The `links` key contains a dictionary of links that can be used for [pagination](#tag/Pagination). This request should never return an error. #### Filtering You can optionally request that the response only include licenses that match your filters by utilizing the `filter` query parameter, e.g. [https://api.osf.io/v2/licenses/?filter[name]=apache](https://api.osf.io/v2/licenses/?filter[name]=apache). Licenses may be filtered by their `id`, and `name`.

No probe data for this endpoint yet.